Appearance
POST
/web-pages/draft/drafts/{draftId}/pagesRequired scope:
viskan:draft:createCreates a page.
Parameters
Path parameters
draftId string Format:
uuidIdentifier of the draft. A draft is a workspace that holds unpublished changes to web store content.
Request body
JSON
{
"categoryId": "fb831d92-c7b3-42fe-ac92-a2c2014d72f6",
"contentLocaleId": "774ab227-18fe-4541-ba3b-06ad3e95ae75",
"languageCode": "en",
"countryCode": "US",
"metaTitle": "Start Page for Black Week Sale",
"metaDescription": "Temporary page for Black Week Sale",
"layoutId": "e8391697-5592-434a-9e20-ac2316adc235",
"title": "Black Week Sale",
"path": "/black-week-sale",
"variables": [
{
"layoutSectionId": "be0111c5-a24b-47bd-86f7-77c12d632bdc",
"variableId": "e7f65f98-e2a6-4ffd-a985-6e6a4180f5e0",
"variableValue": "Welcome to start page!"
}
],
"searchableContent": "Black week sale 2025"
}
Response
The page was successfully created.
JSON
{
"pageId": "fb840e50-8a8b-477c-a3c8-fffe2bf97e1c"
}
| Error code | Description |
|---|---|
web-pages.create-page.category-id-required | Category ID is required. |
web-pages.create-page.category-not-found | Could not find the category by ID. |
web-pages.create-page.country-code-invalid | Country is invalid. |
web-pages.create-page.country-code-required | Country code is required. |
web-pages.create-page.draft-not-found | Draft not found. |
web-pages.create-page.language-code-invalid | Language is invalid. |
web-pages.create-page.language-code-required | Language code is required. |
web-pages.create-page.layout-id-required | Layout ID is required. |
web-pages.create-page.layout-not-found | Could not find the layout by ID. |
web-pages.create-page.layout-section-id-required | Layout section ID is required. |
web-pages.create-page.locale-not-found | Could not find the locale by ID or by country code and language code combination. |
web-pages.create-page.page-for-category-already-exists | A page with specified category already exists for selected country code and language code. |
web-pages.create-page.page-for-path-already-exists | A page with specified path already exists for selected country code and language code. |
web-pages.create-page.path-invalid | Web-page path must start with a slash (/) and should not end with a slash. |
web-pages.create-page.section-is-not-part-of-the-layout | The layout section was not found in the current page's layout. |
web-pages.create-page.title-required | Title is required. |
web-pages.create-page.variable-id-required | Variable ID is required. |
web-pages.create-page.variable-is-not-part-of-the-section-variables | The variable was not found in the requested layout section. |
web-pages.create-page.variable-value-required | Variable value is required. |
web-pages.create-page.web-store-not-found | Could not find the web-store by ID. |
web-pages.create-page.wrong-locale | Provide either contentLocaleId, or both languageCode and countryCode (exclusively). |